xine-lib: xine-lib-1.2.12/src/post/goom/lines.c File Reference

xine-lib 1.2.12

Functions
lines.c File Reference
`#include "lines.h"`
`#include <math.h>`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include "goom_tools.h"`
`#include "drawmethods.h"`
`#include "goom_plugin_info.h"`

## Functions
static unsigned char | lighten (unsigned char value, float power)
static void | lightencolor (unsigned int *col, float power)
static void | genline (int id, float param, GMUnitPointer *l, int rx, int ry)
static unsigned int | getcouleur (int mode)
void | goom_lines_set_res (GMLine *gml, int rx, int ry)
static void | goom_lines_move (GMLine *l)
void | goom_lines_switch_to (GMLine *gml, int IDdest, float param, float amplitude, int col)
GMLine * | goom_lines_init (PluginInfo *goomInfo, int rx, int ry, int IDsrc, float paramS, int coulS, int IDdest, float paramD, int coulD)
void | goom_lines_free (GMLine **l)
void | goom_lines_draw (PluginInfo *plug, GMLine *line, signed short int data[512], Pixel *p)

## Function Documentation

## ◆ genline()

static void genline | ( | int | id,
|  | float | param,
|  | GMUnitPointer * | l,
|  | int | rx,
|  | int | ry
| ) |  |
| static

References _GMUNITPOINTER::angle, GML_CIRCLE, GML_HLINE, GML_VLINE, _GMUNITPOINTER::x, and _GMUNITPOINTER::y.

Referenced by goom_lines_init(), goom_lines_set_res(), and goom_lines_switch_to().

## ◆ getcouleur()

static unsigned int getcouleur | ( | int | mode | ) |
| static

References BLEU, GML_BLACK, GML_BLEU, GML_BLEUBLANC, GML_ORANGE_J, GML_ORANGE_V, GML_RED, GML_VERT, mode(), ROUGE, and VERT.

Referenced by goom_lines_init(), and goom_lines_switch_to().

## ◆ goom_lines_draw()

void goom_lines_draw | ( | PluginInfo * | plug,
|  | GMLine * | line,
|  | signed short int | data[512],
|  | Pixel * | p
| ) |  |

References _GMLINE::amplitude, _GMUNITPOINTER::angle, _GMLINE::color, _PLUGIN_INFO::draw_line, goom_lines_move(), guint32, lightencolor(), _PLUGIN_INFO::methods, NULL, _GMLINE::points, _GMLINE::power, _GMLINE::screenX, _GMLINE::screenY, _GMUNITPOINTER::x, and _GMUNITPOINTER::y.

Referenced by goom_update().

## ◆ goom_lines_free()

void goom_lines_free | ( | GMLine ** | l | ) |

References NULL.

Referenced by goom_close().

## ◆ goom_lines_init()

GMLine * goom_lines_init | ( | PluginInfo * | goomInfo,
|  | int | rx,
|  | int | ry,
|  | int | IDsrc,
|  | float | paramS,
|  | int | coulS,
|  | int | IDdest,
|  | float | paramD,
|  | int | coulD
| ) |  |

References _GMLINE::amplitude, _GMLINE::amplitudeF, _GMLINE::color, _GMLINE::color2, genline(), getcouleur(), goom_lines_switch_to(), _GMLINE::goomInfo, _GMLINE::IDdest, _GMLINE::nbPoints, _GMLINE::param, _GMLINE::points, _GMLINE::points2, _GMLINE::power, _GMLINE::powinc, _GMLINE::screenX, and _GMLINE::screenY.

Referenced by goom_init().

## ◆ goom_lines_move()

static void goom_lines_move | ( | GMLine * | l | ) |
| static

References _GMLINE::amplitude, _GMLINE::amplitudeF, _GMUNITPOINTER::angle, _GMLINE::color, _GMLINE::color2, goom_irand(), _GMLINE::goomInfo, _PLUGIN_INFO::gRandom, _GMLINE::points, _GMLINE::points2, _GMLINE::power, _GMLINE::powinc, _GMUNITPOINTER::x, and _GMUNITPOINTER::y.

Referenced by goom_lines_draw().

## ◆ goom_lines_set_res()

void goom_lines_set_res | ( | GMLine * | gml,
|  | int | rx,
|  | int | ry
| ) |  |

References genline(), _GMLINE::IDdest, NULL, _GMLINE::param, _GMLINE::points2, _GMLINE::screenX, and _GMLINE::screenY.

Referenced by goom_set_resolution().

## ◆ goom_lines_switch_to()

void goom_lines_switch_to | ( | GMLine * | gml,
|  | int | IDdest,
|  | float | param,
|  | float | amplitude,
|  | int | col
| ) |  |

References _GMLINE::amplitudeF, _GMLINE::color2, genline(), getcouleur(), _GMLINE::IDdest, _GMLINE::param, _GMLINE::points2, _GMLINE::screenX, and _GMLINE::screenY.

Referenced by goom_lines_init(), and goom_update().

## ◆ lighten()

static unsigned char lighten | ( | unsigned char | value,
|  | float | power
| ) |  |
| inlinestatic

Referenced by lightencolor().

## ◆ lightencolor()

static void lightencolor | ( | unsigned int * | col,
|  | float | power
| ) |  |
| static

References lighten().

Referenced by goom_lines_draw().